/* 
    Document   : oiwdq
    Created on : Oct 25, 2010, 3:12:50 PM
    Author     : marc
    Description:
        Purpose of the stylesheet follows.
*/

/* 
   TODO customize this sample style
   Syntax recommendation http://www.w3.org/TR/REC-CSS2/
*/

root { 
    display: block;
}

html
{
    height: 1000px;
}

body
{
    font-size: 14px;
    font-family: Helvetica;
    margin: 0 0 0 0;
    height: 1000px;
}

/* DIVS */

#wrap
{
    min-height: 1000px;
    width: 100%;
}

#header
{
    background-color: #333333;
    background-image: url(/barcode/images/oi_header3a.jpg);
    background-repeat: repeat;
    background-position: right;
    height: 79px;
    width: 100%;
}

#header_logo
{
    background-image: url(/barcode/images/logo.png);
    background-repeat: no-repeat;
    background-position: 22px;
    height: 79px;
}

#header_moto
{
    position: absolute;
    left: 380px;
    top: 20px;
    color: #000;
    font-size: 35px;
    font-family: "Lucida Grande";
    font-style: italic;
    font-weight: bold;
}

#content
{
    margin-left: 10px;
    margin-right: 10px;
    padding-bottom: 40px;
}

#menu
{
    background-color: #fff;
    padding-left: 10px;
    padding-top: 5px;
    padding-bottom: 10px;
    float: left;
}

#form
{
    clear: both;
    padding-top: 0px;
    margin-top: 0px;
}

#status
{
    float: right;
/*    border: #000 1px solid; */
    width: 230px;
    height: 70px;
    padding-left: 5px;
    padding-right: 10px;
    padding-top: 10px;
    padding-bottom: 0px;
    font-size: 11px;
    text-align: right;
}

#intermediary_results
{
    clear: both;
    margin-top: 10px;
    margin-bottom: 15px;
}

#results
{
    background-color: #EEEEEE;
    margin-bottom: 60px;
}

#barcode_image {
    float: left;
    width: 100%;
    /*background-color: #FFBBEE;*/
}

#barcode_image_screen {
    float: left;
    /*background-color: #BBBBBB;*/
    display: none; /*default when entering website*/
}

#chromosom_image_screen {
    float: left;
    background-color: #FFFFFF;
    width : 100%;
    height : 500px;
    overflow:scroll;
    display: none; /*default when entering website*/
}

#map_image_screen {
    float: left;
    background-color: #FFFFFF;
    width : 100%;
    height : 500px;
    overflow:scroll;
    display: none; /*default when entering website*/
}


#barcode_links {
    /*background-color: #FFDDFF;*/
    float: left;
}

#footer
{
    clear: both;
    position: relative;
    top: 960px;
    background: #828377 url(/barcode/images/footer-bg-1px-b.png) repeat-x top;
    margin-top: 40px; /* negative value of footer height */
    height: 40px;
    width : 100%;
/*    padding-top: 12px; */
}

#footer p
{
    margin: 0;
    padding-top: 9px;
    font-size: 11px;
    font-weight: bold;
    color: #ddd;
    text-align: center;
}

#footer span
{
    font-style: italic;
    font-weight: normal;
    display: block;
    margin: 0;
    padding: 0;
}

#footer a
{
    color: #ddd;
    text-decoration: none;
}

#welcome
{
    clear: both;
    float: left;
    display: block;
}

#stats
{
    clear: both;
}

/* MENU */

#navigation
{
    float: left;
/*    width: 100%; */
    margin: 0;
    padding: 0 0 0 0;
    list-style: none;
/*    background: #666; */
}

#navigation li
{
    float: left;
    margin: 0 1px 0 0;
    padding: 0;
    font-family: "Lucida Grande";
    font-size: 100%;
}

#navigation a
{
    float: left;
    display: block;
    margin: 0;
    padding: 10px 20px;
    color: #333;
    text-decoration: none;
    background: #ccc;
    border: 1px solid #333333;

/*    border: 1px solid #9b8748; */
/*    background: #f9e9a9; */
}

#navigation a:hover, body#text_search #menu_text_search a, body#blast_search #menu_blast_search a, body#statistics #menu_statistics a
{
    color: #fff;
    border-color: #727377;
    background-color: #333333;
}

/* HEADINGS */

h1
{
    display: block;
    margin-top: 0px;
    font-size: 20px;
}

/* IMG */

#imgChr {
    height: 35%;
    vertical-align:middle;
}

img.menu_icon
{
    border-style: none;
    vertical-align: text-top;
    margin-right: 5px;
    white-space: nowrap;
    display: inline-block;
}

img.download_icon
{
    border-style: none;
    vertical-align: text-top;
    height: 12px;
    width: 12px;
    cursor: pointer;
    display: inline-block;
/*    margin-right: 3px; */
    margin-bottom: 1px;
}

img.download_list_icon
{
    border-style: none;
    vertical-align: middle;
    cursor: pointer;
    display: inline-block;
    margin-right: 5px;
    margin-bottom: 1px;
}

img.open_in_oi_icon
{
    border-style: none;
    vertical-align: text-top;
    height: 13px;
    width: 13px;
    cursor: pointer;
    display: inline-block;
/*    margin-left: 3px; */
    margin-bottom: 1px;
}

img.magnifier_icon
{
    border-style: none;
    vertical-align: text-top;
    padding-bottom: 0px;
    height: 13px;
    width: 13px;
}

img.arrow_for_checkbox
{
    border-style: none;
    vertical-align: bottom;
    display: inline-block;
    margin-left: 6px;
    margin-right: 5px;
    margin-top: 0px;
    margin-bottom: 3px;
}

img.arrow_for_checkbox_top
{
    border-style: none;
    vertical-align: top;
    display: inline-block;
    margin-left: 6px;
    margin-right: 5px;
    margin-bottom: 0px;
}

img.info_icon
{
    border-style: none;
    vertical-align: text-bottom;
    display: inline-block;
    margin-right: 5px;
}

/* FORMS */

input.text_search_input
{
    width: 200px;
}

textarea.blast_textarea
{
    display: block;
    margin-bottom: 10px;
}

input.blast_file
{
    display: block;
    margin-bottom: 10px;
}

input.blast_expect
{
    display: block;
    margin-bottom: 10px;
    width: 100px;
}

/* TABLES */

table.matching_sequences
{
    border-collapse: collapse;
    font-size: 12px;
    margin-top: 10px;
    width: 98%;
}

table.relations
{
    border-collapse: collapse;
    font-size: 12px;
    margin-top: 10px;
    width: 98%;
}

table.relations tr
{
    vertical-align: top;
}

table.relations td
{
    border-bottom: 1px solid #95bce2;
    font-size: 12px;
}

table.relations thead
{
    background-color: #3e83c9;
    color: #fff;
    white-space: nowrap;
}

table.relations thead td
{
    vertical-align: middle;
}

table.relations td
{
    padding: 3px 4px 3px 4px;
}

table.relations tfoot
{
    background-color: #3e83c9;
    color: #fff;
    vertical-align: middle;
}

table.matching_sequences td
{
    padding-left: 5px;
    padding-right: 5px;
    padding-top: 4px;
    padding-bottom: 4px;
}

thead
{
    font-weight: bold;
}

tr.highlight
{
    background: #ff6;
}

tr.alt td
{
    background: #ecf6fc;
}

tr.over td
{
    background: #bcd4ec;
}

tr.selected td
{
    background: #bcd4ec;
}

tr.striped_even
{
    background-color: #ecf6fc;
}

tr.striped_odd
{
    background-color: #FFFFFF;
}

td.relation
{
    margin: 0 0 0 0;
    padding: 0 0 0 0;
    text-align: center;
    width: 10px;
}

td.organism
{
    font-style: italic;
    white-space: nowrap;
}

td.border
{
    border-left: 1px solid #95bce2;
}

td.outlier
{
    background-color: #FFDAB9;
}

table.phylum_color_box
{
    border: #000 1px solid;
    font-size: 11px;
    font-style: italic;
    margin-top: 10px;
    margin-bottom: 10px;
    margin-right: 10px;
    padding-left: 2px;
    padding-right: 0px;
    padding-top: 3px;
    padding-bottom: 3px;
    white-space: nowrap;
}

td.color_box_caption
{
    font-weight: bold;
    font-style: normal;
    padding-right: 10px;
}

td.color_box
{
    border: #000 1px solid;
    padding-right: 20px;
    padding-top: 5px;
    padding-bottom: 5px;
}

td.color_box_text
{
    padding-right: 15px;
}

td.seq_count
{
    text-align: right;
}

/* SPAN */

span.search_string_highlight
{
    color: #990000;
    font-weight: bold;
}

span.status_protein_id, span.status_blast_id, span.status_blast_status
{
    font-weight: bold;
}

span.queryseq
{
    font-weight: bold;
}

span.tt_description
{
/*    visibility: hidden; */
    display: none;
}

span.note
{
    display: block;
    font-style: italic;
    font-size: 11px;
    margin-top: 5px;
    padding-top: 5px;
}

span.blast_seqs_odd
{
    background-color: #fff;
}

span.blast_seqs_even
{
/*    background-color: #ecf6fc; */
    background-color: #bcd4ec;
}

span.map_an
{
    color:blue;
    text-decoration : underline;
}

/* P */

p.welcome
{
    clear: both;
    display: block;
    padding-right: 200px;
}

/* A */

#results a.db_link
{
    color: #000;
    text-decoration: none;
}

#results a.db_link:hover
{
    color: #fff;
    background-color: #3e83c9;
    text-decoration: none;
}

#results a.blast_an, #results a.blast_anchor
{
    color: #000;
    text-decoration: none;
    font-weight: bold;
}

#results a.blast_an:hover, #results a.blast_anchor:hover
{
    color: #fff;
    background-color: #3e83c9;
    text-decoration: none;
}

#results a.open_in_oi
{
    text-decoration: none;
}

#results a.open_in_oi:hover
{
    background-color: #fff;    
}

#results a.download_selected_seq
{
    text-decoration: none;
}

.spinner
{
    height: 100%;
    background: transparent url(/barcode/images/spinner.gif) no-repeat right center;
/*    margin-top: -10px; */
}

.blast_anchor
{
    font-weight: bold;
}

#results a.download_selected_seq
{
    color: #fff;
    font-weight: normal;
    font-size: 11px;
}

#results a.download_selected_seq:hover
{
    color: #fff;
    font-weight: normal;
    background-color: #3e83c9;
    text-decoration: underline;
}

/* TOOL TIP */

/* tooltip styling. by default the element to be styled is .tooltip  */
.tooltip
{
	display:none;
	background:transparent url(/barcode/images/black.png);
	font-size:12px;
	height:67px;
	width:160px;
	padding: 25px;
        padding-top: 20px;
	color:#fff;
}


#cluster_desc {
    position:absolute;
    top:275px;
    left:20px;
    width:415px;
    height:25px;
    background: #fd9191;
}

#cluster_image {
    position:absolute;
    top:330px;
    left:20px;
    width:415px;
    height:650px;
    overflow:scroll;
}
#cluster_image_desc {
    position:absolute;
    top:310px;
    left:20px;
    width:415px;
    height:15px;
}

#cluster_liste {
    position:absolute;
    top:330px;
    left:455px;
    width:600px;
    height:650px;
}

#cluster_liste_desc {
    position:absolute;
    top:310px;
    left:455px;
    width:415px;
    height:15px;
}